org.apache.jasper.xmlparser

## Class ParserUtils

- java.lang.Object
- - org.apache.jasper.xmlparser.ParserUtils

    public class ParserUtils
    extends Object

XML parsing utilities for processing web application deployment descriptor and tag library descriptor files. FIXME - make these use a separate class loader for the parser to be used.

Author:
  Craig R. McClanahan

### Constructor Summary

Constructors
Constructor and Description
`ParserUtils(boolean validating)`
`ParserUtils(boolean validating, boolean blockExternal)`

### Method Summary

Methods
`protected TreeNode` `convert(TreeNode parent, Node node)` Create and return a TreeNode that corresponds to the specified Node, including processing all of the attributes and children nodes.
`TreeNode` `parseXMLDocument(String location, InputSource is)` Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.
`TreeNode` `parseXMLDocument(String uri, InputStream is)` Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.
`static void` `setEntityResolver(EntityResolver er)` Set the EntityResolver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParserUtils

    public ParserUtils(boolean validating)

#### ParserUtils

    public ParserUtils(boolean validating,
               boolean blockExternal)

### Method Detail

#### parseXMLDocument

    public TreeNode parseXMLDocument(String location,
                            InputSource is)
                              throws JasperException

Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.

Parameters:
  `location` - Location (eg URI) of the XML document being parsed
  `is` - Input source containing the deployment descriptor
Throws:
  `JasperException` - if an input/output error occurs
  `JasperException` - if a parsing error occurs

#### parseXMLDocument

    public TreeNode parseXMLDocument(String uri,
                            InputStream is)
                              throws JasperException

Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.

Parameters:
  `uri` - URI of the XML document being parsed
  `is` - Input stream containing the deployment descriptor
Throws:
  `JasperException` - if an input/output error occurs
  `JasperException` - if a parsing error occurs

#### setEntityResolver

    public static void setEntityResolver(EntityResolver er)

Set the EntityResolver. This is needed when the dtds and Jasper itself are in different classloaders (e.g. OSGi environment).

Parameters:
  `er` - EntityResolver to use.

#### convert

    protected TreeNode convert(TreeNode parent,
                   Node node)

Create and return a TreeNode that corresponds to the specified Node, including processing all of the attributes and children nodes.

Parameters:
  `parent` - The parent TreeNode (if any) for the new TreeNode
  `node` - The XML document Node to be converted